
//////////////////////////////////////////////////////////////////////////////
// kIndustrial.h
// -------------------
// Industrial inspired window decoration for KDE 3
// -------------------
// Copyright (c) 2003 Gregg Edghil <gs_edghill@hotmail.com>
//
// Permission is hereby granted, free of charge, to any person obtaining a copy
// of this software and associated documentation files (the "Software"), to
// deal in the Software without restriction, including without limitation the
// rights to use, copy, modify, merge, publish, distribute, sublicense, and/or
// sell copies of the Software, and to permit persons to whom the Software is
// furnished to do so, subject to the following conditions:
//
// The above copyright notice and this permission notice shall be included in
// all copies or substantial portions of the Software.
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
// FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS
// IN THE SOFTWARE.
//////////////////////////////////////////////////////////////////////////////

#ifndef KINDUSTRIAL_H
#define KINDUSTRIAL_H

#include <kwin/client.h>
#include <qfont.h>

namespace KWinInternal {

	enum ButtonType
	{
    	 ButtonHelp=0,
    	 ButtonMax,
     	 ButtonMin,
    	 ButtonClose,
    	 ButtonMenu,
    	 ButtonSticky,
    	 ButtonTypeCount
	};

	class KindustrialHandler: public QObject
	{
   		Q_OBJECT
		public:
    		KindustrialHandler();
    		~KindustrialHandler();
    		void reset();

    		static bool initialized() { return m_initialized; }

    		static int  titleHeight() { return m_titleHeight; }
    		static int  titleHeightTool() { return m_titleHeightTool; }
    		static QFont titleFont() { return m_titleFont; }
    		static QFont titleFontTool() { return m_titleFontTool; }
    		static bool titleShadow() { return m_titleShadow; }
    		static bool shrinkBorders() { return m_shrinkBorders; }
    		static int  borderSize() { return m_borderSize; }
    		static bool useTitleColor() { return m_useTitleColor; }

    		static Qt::AlignmentFlags titleAlign() { return m_titleAlign; }

		private:
    		void readConfig();

    		static bool m_titleShadow;
    		static bool m_shrinkBorders;
    		static bool m_useTitleColor;
    		static int  m_borderSize;
    		static int  m_titleHeight;
    		static int  m_titleHeightTool;
    		static QFont m_titleFont;
    		static QFont m_titleFontTool;
    		static Qt::AlignmentFlags m_titleAlign;

    		static bool m_initialized;
	};

} // namespace KWinInternal

#endif // KINDUSTRIAL_H
